VERSION 5.00
Begin VB.Form frmAbout 
   Appearance      =   0  'Flat
   BackColor       =   &H00000000&
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "About Multi Dump"
   ClientHeight    =   8070
   ClientLeft      =   45
   ClientTop       =   285
   ClientWidth     =   6570
   BeginProperty Font 
      Name            =   "Verdana"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmAbout.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   8070
   ScaleWidth      =   6570
   StartUpPosition =   2  'CenterScreen
End
Attribute VB_Name = "frmAbout"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Public stream1 As Long          'the stream we open
Public channel1 As Long
Public lp_reson As Single
Public lp_cutoff As Single

Private Sub Command1_Click()
  frmMain.Top = Me.Top
  frmMain.Left = Me.Left
  frmMain.Show
  Unload Me

End Sub

Private Sub Form_Click()
  Command1_Click
End Sub

Private Sub Form_Load()
  Me.Picture = LoadPicture(App.Path & "\BH.jpg")

'First, we init FMOD
If FSOUND_Init(44100, 32, 0) = 0 Then
    'Error
    MsgBox "An error occured initializing fmod" & vbCrLf & FSOUND_GetErrorString(FSOUND_GetError)
    End
End If

'FMod initialized successfully!

lp_cutoff = 5000
lp_reson = 1

'Stop the song that was playing
Dim lblFile As String
If channel1 <> 0 Then
    FSOUND_Stream_Stop stream1
    channel1 = 0
End If

'Close any opened file
If stream1 <> 0 Then
    FSOUND_Stream_Close stream1
    stream1 = 0
End If

'Open the new stream
stream1 = FSOUND_Stream_OpenFile(App.Path & "\trigun the first donuts 12 H.T.(1).mp3", FSOUND_2D, 0)
If stream1 = 0 Then
    MsgBox "Error while opening file" & vbCrLf & FSOUND_GetErrorString(FSOUND_GetError)
    lblFile = "No File Opened"
Else
    lblFile = App.Path & "\Chuck Berry - Jonny B Good.mp3"
End If


Play_Click

Exit Sub
errh:

End Sub

Private Sub Play_Click()
'If it was already playing, stop it first
If channel1 <> 0 Then
    Stop_Click
End If

'When a file was opened, play it
If stream1 <> 0 Then
    channel1 = FSOUND_Stream_Play(FSOUND_FREE, stream1)
End If

If channel1 <> 0 Then
    'Command3.Enabled = True
End If
End Sub

Private Sub Stop_Click()
If channel1 <> 0 Then
    FSOUND_Stream_Stop stream1
    channel1 = 0
End If
End Sub


Private Sub Form_Unload(Cancel As Integer)
'Stop the song that was playing
If channel1 <> 0 Then
    FSOUND_Stream_Stop stream1
    channel1 = 0
End If
'Close any opened file
If stream1 <> 0 Then
    FSOUND_Stream_Close stream1
    stream1 = 0
End If

'Make sure you close FMOD on exiting
'(If you forget this, Visual Basic will crash upon exiting the app in debug mode)
FSOUND_Close

  Command1_Click
End Sub

Private Sub Label1_Click(Index As Integer)
    Form_Click
End Sub
