Attribute VB_Name = "frmParseFunc"
Option Explicit

'*****************************************************
' But:       Trouve le texte entre une tag quelconque (NO HTML)
'
' Inputs:    La tag 1, la tag 2
'
' Returns:
'*****************************************************
Public Function Read_NO_HTML(StrTAG As String, StrTAG2, strBuffer As String, Optional iLevelNb As Integer = 0)
  'Dim StrCodeMenu As String
  Dim intPos As Long
  Dim strRawData As String
  Dim i As Integer
On Error GoTo Erreur:
  strRawData = strBuffer
  'StrCodeMenu = OuvrirFich(gStrProject_Main)
      
    
  'Find the opening TAG and cut everything before it
  intPos = InStr(strRawData, StrTAG)
  If intPos = 0 Then GoTo Erreur:
  strRawData = Right(strRawData, Len(strRawData) - intPos - Len(StrTAG) + 1)
  'Find the closing TAG and cut everything after it
  intPos = 0
  For i = 0 To iLevelNb
    intPos = InStr(intPos + 1, strRawData, StrTAG2)
  Next i
  'strRawData = Left(strRawData, intPos + Len(StrTAG) + 5)
  strRawData = Left(strRawData, intPos - 1)
    
  'StrCodeMenu =
'MsgBox strRawData

  Read_NO_HTML = strRawData
  Exit Function
Erreur:
  Read_NO_HTML = "#FIN#"
  'Text1.Text = StrCodeMenu
 
End Function

'*****************************************************
' But:       Trouve le texte entre une tag quelconque HTML
'
' Inputs:    La tag
'
' Returns:
'*****************************************************
Public Function Read(StrTAG As String, strBuffer As String)
  'Dim StrCodeMenu As String
  Dim intPos As Integer
  Dim strRawData As String
  
  strRawData = strBuffer
  'StrCodeMenu = OuvrirFich(gStrProject_Main)
 
  'Find the opening TAG and cut everything before it
  intPos = InStr(strRawData, "<" + StrTAG + ">")
  strRawData = Right(strRawData, Len(strRawData) - intPos + 1)
  
  'Find the closing TAG and cut everything after it
  intPos = InStr(strRawData, "</" + StrTAG + ">")
  strRawData = Left(strRawData, intPos + Len(StrTAG) + 2)
    
  'StrCodeMenu =

  Read = strRawData
  
  'Text1.Text = StrCodeMenu
 
End Function

'*****************************************************
' But:       Used to add <BR> to simulated ENTER
'
' Inputs:    StrText : The text to update
'            StrKey : The Chars to find
'            StrReplaced : The new Chars
'
' Returns:   StrText
'*****************************************************

Public Function Change_Space(StrText As String, StrKey As String, StrReplaced As String)
  Dim intPos As Integer
  Dim StrLeftCode As String
  Dim StrRightCode As String
    
  intPos = 1
  
  Do
      intPos = InStr(intPos, StrText, StrKey) ' Chr(13))
    If intPos <> 0 Then
    
      StrLeftCode = Left(StrText, intPos - 1)
      If (Len(StrText) - intPos - 1) > 0 Then
        StrRightCode = Right(StrText, Len(StrText) - intPos - (Len(StrKey) - 1)) '- 1)
      Else
        StrRightCode = ""
      End If
      
      
      StrText = StrLeftCode + StrReplaced + StrRightCode
      
      'Disabled so that it could compile. Enable to use the function
      'txtNews.Text = StrLeftCode + StrReplaced + StrRightCode
      
    End If
  Loop While intPos <> 0
  
  
  Change_Space = StrText

End Function

'*****************************************************
' But:       Remplace le text entre 2 tags NON HTML
'
' Inputs:
'
' Returns:   Le nouveau texte
'*****************************************************
Public Function Add_Between_Tags_NO_HTML(StrTAG As String, StrTAG2 As String, strRawData As String, StrCode As String, Optional strAll As String = "Simple", Optional iLevelNb As Integer = 0) As String
Dim StrLeftCode As String
Dim StrRightCode As String
Dim lPos As Long
Dim Truth As Boolean
Dim i As Integer
Truth = True
'if


On Error GoTo ExistePas
If strAll = "All" Then
While Truth
  lPos = 0
  'Find the opening TAG and cut everything after it
  lPos = InStr(strRawData, StrTAG)
  If lPos <> 0 Then StrLeftCode = Left(strRawData, lPos - 1)

  'Find the opening TAG and cut everything before it
  If lPos <> 0 Then
    For i = 0 To iLevelNb
      lPos = InStr(lPos, strRawData, StrTAG2)
    Next i
  End If
  If lPos <> 0 Then StrRightCode = Right(strRawData, Len(strRawData) - lPos - Len(StrTAG2) + 1)
  
  'txtNews.Text = StrUpdatedCode
  'if StrTAG = "VB_NEWS" Then txtNews.Text = StrLeftCode
  'txtNews.Text = StrRightCode
  If lPos = 0 Then GoTo ExistePas:
  strRawData = StrLeftCode & StrCode & StrRightCode
  
'  Add_Between_Tags_NO_HTML = strRawData
Wend
End If

If strAll = "Simple" Then
  lPos = 0
  'Find the opening TAG and cut everything after it
  lPos = InStr(strRawData, StrTAG)
  If lPos <> 0 Then StrLeftCode = Left(strRawData, lPos - 1)

  'Find the opening TAG and cut everything before it
  If lPos <> 0 Then
    For i = 0 To iLevelNb
      lPos = InStr(lPos + 1, strRawData, StrTAG2)
    Next i
  End If
  If lPos <> 0 Then StrRightCode = Right(strRawData, Len(strRawData) - lPos - Len(StrTAG2) + 1)
  
  'txtNews.Text = StrUpdatedCode
  'if StrTAG = "VB_NEWS" Then txtNews.Text = StrLeftCode
  'txtNews.Text = StrRightCode
  If lPos = 0 Then GoTo ExistePas:
  strRawData = StrLeftCode & StrCode & StrRightCode
  
  Add_Between_Tags_NO_HTML = strRawData
End If
  Exit Function
ExistePas:
  'MsgBox "La tag n'existe pas dans la string  scanner." & Chr(10) & Chr(13) & "Cause la plus plausible : String  scanner est vide. " & Chr(10) & Chr(13) & Chr(10) & Chr(13) & "La tag recherch, tait : " & StrTAG & Chr(10) & Chr(13) & Chr(10) & Chr(13) & "Le programme va maintenant tre termin...", vbCritical, "Erreur dans la fonction Add_Between_Tags"
  'Form2.Text1.Text = "RAW DATA : " & Chr(10) & Chr(13) & Chr(10) & Chr(13) & strRawData & "CODE TO INSERT : " & Chr(10) & Chr(13) & Chr(10) & Chr(13) & StrCode & Chr(10) & Chr(13) & Chr(10) & Chr(13)
  'Form2.Show 1
  'End
  Add_Between_Tags_NO_HTML = strRawData
End Function

'*****************************************************
' But:       Remplace le text entre 2 tags HTML
'
' Inputs:
'
' Returns:   Le nouveau texte
'*****************************************************

Public Function Add_Between_Tags(StrTAG As String, strRawData As String, StrCode As String) As String
Dim StrLeftCode As String
Dim StrRightCode As String
Dim lPos As Long
'if

  lPos = 0

On Error GoTo ExistePas
  'Find the opening TAG and cut everything after it
  lPos = InStr(strRawData, "<" + StrTAG + ">")
  StrLeftCode = Left(strRawData, lPos - 1)

  'Find the opening TAG and cut everything before it
  lPos = InStr(strRawData, "<" + StrTAG + ">")
  StrRightCode = Right(strRawData, Len(strRawData) - lPos - Len(StrTAG) - Len(StrTAG) - 4)
  
  'txtNews.Text = StrUpdatedCode
  'if StrTAG = "VB_NEWS" Then txtNews.Text = StrLeftCode
  'txtNews.Text = StrRightCode
   
  Add_Between_Tags = StrLeftCode & StrCode & StrRightCode
  Exit Function
ExistePas:
  MsgBox "La tag n'existe pas dans la string  scanner." & Chr(10) & Chr(13) & "Cause la plus plausible : String  scanner est vide. " & Chr(10) & Chr(13) & Chr(10) & Chr(13) & "La tag recherch, tait : " & StrTAG & Chr(10) & Chr(13) & Chr(10) & Chr(13) & "Le programme va maintenant tre termin...", vbCritical, "Erreur dans la fonction Add_Between_Tags"
  'Form2.Text1.Text = "RAW DATA : " & Chr(10) & Chr(13) & Chr(10) & Chr(13) & strRawData & "CODE TO INSERT : " & Chr(10) & Chr(13) & Chr(10) & Chr(13) & StrCode & Chr(10) & Chr(13) & Chr(10) & Chr(13)
  'Form2.Show 1
  'End
  
End Function
'*****************************************************
' But:       Trouve le nom du fichier
'
' Inputs:    Le path
'
' Returns:   Le nom
'*****************************************************
Public Function File_Name(ByVal strRawData As String)
Dim iPos As Integer
Dim iPrec As Integer
Dim strOrigRawData As String

strOrigRawData = strRawData

On Error GoTo fin:
  Do
    iPrec = iPos
    iPos = InStr(iPos + 1, strRawData, "\")
  
  Loop While iPos <> 0

  strRawData = Right(strRawData, Len(strRawData) - iPrec)
  iPos = InStr(iPos + 1, strRawData, ".")
  File_Name = Left(strRawData, iPos - 1)
  
  Exit Function
fin:
  File_Name = strOrigRawData
  'File_Name = Right(StrRawData, Len(StrRawData) - iPrec)
  'MsgBox Left(StrRawData, iPrec - 1)
  
End Function

'*****************************************************
' But:       Trouve le rpertoire suprieur
'
' Inputs:    Le path
'
' Returns:   Le nouveau path
'*****************************************************
Public Function Prev_Dir(strRawData As String)
Dim iPos As Integer
Dim iPrec As Integer
  
  Do
    iPrec = iPos
    iPos = InStr(iPos + 1, strRawData, "\")
  
  Loop While iPos <> 0

  Prev_Dir = Left(strRawData, iPrec - 1)
  'MsgBox Left(StrRawData, iPrec - 1)
  
End Function

'*****************************************************
' But:       Trouve l'pisode de la gallery
'
' Inputs:    Le path
'
' Returns:   Le nouveau path
'*****************************************************
Public Function Serie_Dir(strRawData As String)
Dim iPos As Integer
Dim iPrec As Integer
Dim iPrecPrec As Integer
Dim strBuffer
  
  Do
    iPrecPrec = iPrec
    iPrec = iPos
    iPos = InStr(iPos + 1, strRawData, "\")
  
  Loop While iPos <> 0

  'strBuffer = Left(StrRawData, iPrec - 1)
  strRawData = Right(strRawData, Len(strRawData) - iPrecPrec)
  iPos = InStr(1, strRawData, "\")
  strRawData = Left(strRawData, iPos - 1)
  Serie_Dir = strRawData
  
End Function


'*****************************************************
' But:       Trouve le nom du rpertoire gnrale de
'            la srie
'
' Inputs:    Le path
'
' Returns:   Le nouveau path
'*****************************************************
Public Function Serie_Gen_Dir(strRawData As String)
Dim iPos As Integer
Dim iPrec As Integer
Dim iPrecPrec As Integer
Dim strBuffer
  
  Do
    iPrec = iPos
    iPos = InStr(iPos + 1, strRawData, "\")
  Loop While iPos <> 0

  strBuffer = Left(strRawData, iPrec - 1)
   
  Do
    iPrecPrec = iPrec
    iPrec = iPos
    iPos = InStr(iPos + 1, strBuffer, "\")
  Loop While iPos <> 0
 
  strBuffer = Left(strBuffer, iPrec - 1)
 
  Serie_Gen_Dir = Right(strBuffer, Len(strBuffer) - iPrecPrec)
 
 '         MsgBox Right(strBuffer, Len(strBuffer) - iPrecPrec)
End Function

