VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Multi Dump 2.1"
   ClientHeight    =   3900
   ClientLeft      =   150
   ClientTop       =   390
   ClientWidth     =   7110
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3900
   ScaleWidth      =   7110
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton Command2 
      Caption         =   "..."
      Height          =   300
      Left            =   6480
      TabIndex        =   6
      Top             =   3480
      Width           =   465
   End
   Begin VB.CommandButton Command4 
      Caption         =   "Dump"
      Enabled         =   0   'False
      Height          =   375
      Left            =   2400
      TabIndex        =   2
      Top             =   2760
      Width           =   2295
   End
   Begin VB.TextBox txtTarget 
      Height          =   285
      Left            =   120
      Locked          =   -1  'True
      TabIndex        =   4
      TabStop         =   0   'False
      Top             =   3480
      Width           =   6255
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Directory to scan"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   2760
      Width           =   2175
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Exit"
      Height          =   375
      Left            =   4800
      TabIndex        =   3
      Top             =   2760
      Width           =   2175
   End
   Begin VB.ListBox lstFiles 
      Height          =   2595
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   6855
   End
   Begin VB.Label Label1 
      Caption         =   "Directory where the files will be extracted :"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   3240
      Width           =   3015
   End
   Begin VB.Menu mnuOptions 
      Caption         =   "Options"
      Begin VB.Menu mnuRecur 
         Caption         =   "Enable directory recursivity"
         Checked         =   -1  'True
      End
      Begin VB.Menu mnuType 
         Caption         =   "Add a file type"
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "Help"
      Begin VB.Menu mnuGuide 
         Caption         =   "User guide"
      End
      Begin VB.Menu mnuAbout 
         Caption         =   "About"
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim StartDir As String


Private Sub Command1_Click()
  End
End Sub

Private Sub Command2_Click()
  txtTarget.Text = CallFolderFinder("", Me)

  If txtTarget.Text <> "" And StartDir <> "" Then
    Command4.Enabled = True
  End If
End Sub

Private Sub Command3_Click()

Dim OrigStart As String
  OrigStart = StartDir
  StartDir = CallFolderFinder(StartDir, Me)
  
  If txtTarget.Text <> "" And StartDir <> "" Then
    Command4.Enabled = True
  End If
  If StartDir <> "" And OrigStart <> StartDir Then Find_Files

End Sub

Private Sub Find_Files()
Dim i As Integer
Dim strResult As String
Dim Type_Count As Integer
Dim File_Type As String
Dim File_Finder As New Search_

If StartDir <> "" Then

  Me.Enabled = False
  lstFiles.Clear
  Type_Count = Val(GetInfo("FileType", "Type_Count"))
  
  For i = 0 To Type_Count - 1
    File_Type = File_Type + GetInfo("FileType", Str(i)) + "|"
  Next i
       
  File_Finder.TrouveFichier StartDir, File_Type, mnuRecur.Checked
  File_Finder.lstFiles.ADD_Transfer_ListBox lstFiles
  
End If
  
End Sub

Private Sub Command4_Click()

    frmDumpOptions.Show 1, Me
    
    If frmDumpOptions.OK = True Then
        If frmDumpOptions.Compressed = True Then
            Create_Dir App.Path & "\temp\"
            Dump App.Path & "\temp\"
            DumpCompressed
        Else
            Dump txtTarget.Text
        End If
        MsgBox "Operation Complete", vbInformation, "File Operations"

    End If
End Sub

Private Sub Dump(Path As String)

Dim HPI As Long

Dim NextFile As Long
Dim Filename As String
Dim FileType As Long
Dim FileSize As Long
Dim i As Integer
Dim FileList As New Easy_Array
Dim Create_HPI As Long

Dim ArchiveNb As Integer
Dim FileNb As Integer
Dim CurrentFileNb As Integer


ArchiveNb = lstFiles.ListCount

frmProgress2.Show
Me.Enabled = False
While (lstFiles.ListCount And frmProgress2.Cancel <> True)
    frmProgress2.StartMain File_Name(lstFiles.List(0)), "Decompressing Archive"
    frmProgress2.UpdateMain ArchiveNb - lstFiles.ListCount + 1, ArchiveNb
    HPI = HPIOpen(lstFiles.List(0))
    
    If HPI <> 0 Then
        Filename = Space$(255)
        NextFile = HPIGetFiles(HPI, NextFile, Filename, FileType, FileSize)
        While NextFile <> 0
          Filename = StripNull(Filename)
          If FileType <> 0 Then
            Create_Dir Path & "\" & Filename & ""
            FileNb = FileNb + FileSize
          End If
          Filename = Space$(255)
          NextFile = HPIGetFiles(HPI, NextFile, Filename, FileType, FileSize)
        Wend
        
        NextFile = 0
        
        CurrentFileNb = FileNb
        
        Filename = Space$(255)
        NextFile = HPIGetFiles(HPI, NextFile, Filename, FileType, FileSize)
        While NextFile <> 0 And frmProgress2.Cancel <> True
          Filename = StripNull(Filename)
          If FileType = 0 Then
            frmProgress2.StartSub "Exctracting " + File_Name(Filename)
            frmProgress2.UpdateSub FileNb - CurrentFileNb, FileNb
            'Create_Dir App.Path & "\Temp\" & FileName
            HPIExtractFile HPI, Filename, Path & "\" & Filename
            FileList.AddItem Filename
            CurrentFileNb = CurrentFileNb - 1
          End If
          Filename = Space$(255)
          NextFile = HPIGetFiles(HPI, NextFile, Filename, FileType, FileSize)
        Wend
    End If
    
    FileNb = 0
    HPIClose HPI
    lstFiles.RemoveItem (0)
Wend

FileList.Clear
StartDir = ""
Command4.Enabled = False
Me.Enabled = True
Unload frmProgress2
End Sub

Private Sub DumpCompressed()
Dim HPI As Long

    Dim HPIName As String
    Dim PackPath As String
    Dim Result As Long
    
    HPIName = txtTarget.Text + "\" + frmDumpOptions.Filename
    PackPath = App.Path & "\temp"
    
    HPI = HPICreate(HPIName, AddressOf HPICallBack)
    If HPI = 0 Then
      MsgBox "Error on HPICreate"
      Exit Sub
    End If
    
    Call PackThemFiles(HPI, PackPath, "")
    
    frmProgress.Show , frmMain
    Me.Enabled = False
    Result = HPIPackArchive(HPI, ZLIB_COMPRESSION)
    Me.Enabled = True
    Unload frmProgress
    If Result = 0 Then
      MsgBox "Error on HPIPackArchive"
    End If

 DeleteALL App.Path & "\temp"

End Sub

Private Sub Form_Load()
Dim strConsoleOp As String
 
  'Just in case it had an abnormal termination!
  Create_Dir App.Path & "\temp\"
  DeleteALL App.Path & "\temp"
  
  'Take care of the check button in the menu for the console being
  'visible or not
  strConsoleOp = GetInfo("Display", "Etat")
  
  'Take care of the check button for setting recursiviti ON/OFF
  strConsoleOp = GetInfo("Recursivity", "Etat")
  
  If strConsoleOp = "Checked" Then
    mnuRecur.Checked = True
  Else
    mnuRecur.Checked = False
  End If
End Sub

Private Sub mnuAbout_Click()
  frmAbout.Top = Me.Top
  frmAbout.Left = Me.Left
  frmAbout.Show
  Me.Hide
End Sub

Private Sub mnuGuide_Click()
  frmHelp.Top = Me.Top
  frmHelp.Left = Me.Left
  frmHelp.Show
'  Me.Hide
End Sub

Private Sub mnuRecur_Click()
  If mnuRecur.Checked = True Then
    mnuRecur.Checked = False
    StoreInfo "Recursivity", "Etat", "Unchecked"
    Find_Files
  Else
    mnuRecur.Checked = True
    StoreInfo "Recursivity", "Etat", "Checked"
    Find_Files
  End If
End Sub

Private Sub mnuType_Click()
  
  frmExtensions.Top = Me.Top
  frmExtensions.Left = Me.Left
  frmExtensions.Show
  Me.Hide
   
End Sub
