Attribute VB_Name = "modFileShell"
Option Explicit
Const FO_COPY = &H2
Const FO_DELETE = &H3
Const FO_MOVE = &H1
Const FO_RENAME = &H4
Const FOF_ALLOWUNDO = &H40
Const FOF_SILENT = &H4
Const FOF_NOCONFIRMATION = &H10
Const FOF_RENAMEONCOLLISION = &H8
Const FOF_NOCONFIRMMKDIR = &H200
Const FOF_FILESONLY = &H80

Private Type SHFILEOPSTRUCT
    hwnd      As Long
    wFunc     As Long
    pFrom     As String
    pTo       As String
    fFlags    As Integer
    fAborted  As Boolean
    hNameMaps As Long
    sProgress As String
End Type

Private Declare Function SHFileOperation Lib "shell32.dll" _
    Alias "SHFileOperationA" (lpFileOp As SHFILEOPSTRUCT) As Long

Public Sub DeleteALL(Path As String)
    Dim lFileOp  As Long
    Dim lresult  As Long
    Dim lFlags   As Long
    Dim SHFileOp As SHFILEOPSTRUCT
    
    Screen.MousePointer = vbHourglass
    lFileOp = FO_DELETE
    
    lFlags = FOF_NOCONFIRMATION
    '
    ' NOTE:  By adding the FOF_ALLOWUNDO flag you can move
    ' a file to the Recycle Bin instead of deleting it.
    '
    With SHFileOp
        .wFunc = lFileOp
        .pFrom = Path & vbNullChar & vbNullChar
        .pTo = "" & vbNullChar & vbNullChar
        .fFlags = lFlags
    End With
    lresult = SHFileOperation(SHFileOp)
    '
    ' If User hit Cancel button while operation is in progress,
    ' the fAborted parameter will be true
    '
    Screen.MousePointer = vbDefault
    If lresult <> 0 Or SHFileOp.fAborted Then Exit Sub
'    MsgBox "Operation Complete", vbInformation, "File Operations"

End Sub
