VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Search_"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private Declare Function FindClose Lib "kernel32" (ByVal hFindFile As Long) As Long
Private Declare Function FindFirstFile Lib "kernel32" Alias "FindFirstFileA" (ByVal lpFileName As String, lpFindFileData As WIN32_FIND_DATA) As Long
Private Declare Function FindNextFile Lib "kernel32" Alias "FindNextFileA" (ByVal hFindFile As Long, lpFindFileData As WIN32_FIND_DATA) As Long

Dim strMimeArray() As String

Private Const MAX_PATH = 260

Private Type FILETIME
  dwLowDateTime As Long
  dwHighDateTime As Long
End Type
Private Type WIN32_FIND_DATA
  dwFileAttributes As Long
  ftCreationTime As FILETIME
  ftLastAccessTime As FILETIME
  ftLastWriteTime As FILETIME
  nFileSizeHigh As Long
  nFileSizeLow As Long
  dwReserved0 As Long
  dwReserved1 As Long
  cFileName As String * MAX_PATH
  cAlternate As String * 14
End Type

Private Const FILE_ATTRIBUTE_DIRECTORY = &H10
Private Const FILE_ATTRIBUTE_NORMAL = &H80


Public lstFiles As New Easy_Array
Private lstDirs As New Easy_Array
Private strMode As String

Private Sub findfilesapi(DirPath As String, FileSpec As String, lstFiles As Easy_Array, lstDirs As Easy_Array)

Dim FindData As WIN32_FIND_DATA
Dim FindHandle As Long
Dim FindNextHandle As Long
Dim filestring As String
Dim j As Integer

DirPath = Trim$(DirPath)


If Right(DirPath, 1) <> "\" Then
  DirPath = DirPath & "\"
End If

' Find the first file in the selected directory

FindHandle = FindFirstFile(DirPath & FileSpec, FindData)
If FindHandle <> 0 Then
  If FindData.dwFileAttributes And FILE_ATTRIBUTE_DIRECTORY Then
    ' It's a directory
    If Left$(FindData.cFileName, 1) <> "." And Left$(FindData.cFileName, 2) <> ".." Then
      filestring = DirPath & Trim$(FindData.cFileName) & "\"
      If strMode = True Then lstDirs.AddItem filestring, 1
      'lstDirs.AddItem Left(filestring, InStr(filestring, Chr(0)) - 1), 1
    End If
  Else
    filestring = DirPath & Trim$(FindData.cFileName)
    filestring = Left(filestring, InStr(filestring, Chr(0)) - 1)
    frmFileScanning.Label1.Caption = filestring
    
    For j = 0 To UBound(strMimeArray)
        If UCase(Right(filestring, 3)) = UCase(strMimeArray(j)) Then
            lstFiles.AddItem filestring
        End If
    Next j
    
    'lstFiles.AddItem Left(filestring, InStr(filestring, Chr(0)) - 1)
  End If
End If

' Now loop and find the rest of the files
If FindHandle <> 0 Then
  Do
  
    DoEvents
    
    FindNextHandle = FindNextFile(FindHandle, FindData)
    If FindNextHandle <> 0 Then
      If FindData.dwFileAttributes And FILE_ATTRIBUTE_DIRECTORY Then
        ' It's a directory
        If Left$(FindData.cFileName, 1) <> "." And Left$(FindData.cFileName, 2) <> ".." Then
          filestring = DirPath & Trim$(FindData.cFileName) & "\"
          If strMode = True Then lstDirs.AddItem filestring, 1
          'lstDirs.AddItem Left(filestring, InStr(filestring, Chr(0)) - 1), 1
        End If
      Else
        filestring = DirPath & Trim$(FindData.cFileName)
        filestring = Left(filestring, InStr(filestring, Chr(0)) - 1)
        frmFileScanning.Label1.Caption = filestring

        For j = 0 To UBound(strMimeArray)
            If UCase(Right(filestring, 3)) = UCase(strMimeArray(j)) Then
                lstFiles.AddItem (filestring)
            End If
        Next j
        
        
        'lstFiles.AddItem Left(filestring, InStr(filestring, Chr(0)) - 1)
      End If
    Else
      Exit Do
    End If
  Loop
End If

' It is important that you close the handle for FindFirstFile
Call FindClose(FindHandle)

End Sub

Public Sub TrouveFichier(strPath_Search As String, strExtension As String, Optional sMode As Boolean = False)
lstFiles.New_Array "s"
lstDirs.New_Array "s"

Dim i As Integer
Dim j As Integer

  strMode = sMode
  strMimeArray() = Split(strExtension, "|")
  
 'For i = LBound(strMimeArray) To UBound(strMimeArray) - 1
  
    Make_List strPath_Search, lstFiles, lstDirs
    
 'Next i
End Sub

Private Sub Make_List(strPath_Search As String, lstFiles As Easy_Array, lstDirs As Easy_Array)
Dim i As Integer
Dim j As Integer
Dim Valide As Boolean

  lstDirs.AddItem strPath_Search
  
  frmFileScanning.Show , frmMain
  Do
    
    findfilesapi lstDirs.List(0), "*.*", lstFiles, lstDirs
    lstDirs.RemoveItem 0
    
  Loop Until lstDirs.ListCount = 0
  'Unload frmFileScanning
  frmMain.Enabled = True
  frmFileScanning.Hide




End Sub
